Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ServerObject_i Class Reference

Class for pinging a server. Implementation Repository uses this to communicate with the IMR registered servers. More...

`#include <ImplRepo_i.h>`

Inheritance diagram for ServerObject_i

[legend]
Collaboration diagram for ServerObject_i:

[legend]
List of all members.

## Public Methods
| ServerObject_i (CORBA::ORB_ptr orb, PortableServer::POA_ptr poa)
| Constructor.
void | ping (CORBA::Environment &) throw (CORBA::SystemException)
| Ping method.
void | shutdown (CORBA::Environment &ACE_TRY_ENV) throw (CORBA::SystemException)
| Shutdown the server.
PortableServer::POA_ptr | _default_POA (CORBA::Environment &)
| Returns the default POA for this servant.
## Protected Attributes
CORBA::ORB_var | orb_
| Our ORB. We need this member in case we need to shutdown the server.
PortableServer::POA_var | poa_
| POA that we are registered with.

## Detailed Description

Class for pinging a server. Implementation Repository uses this to communicate with the IMR registered servers.

## Constructor & Destructor Documentation

ServerObject_i::ServerObject_i ( | CORBA::ORB_ptr orb,
| PortableServer::POA_ptr poa )

| Constructor.

## Member Function Documentation

PortableServer::POA_ptr ServerObject_i::_default_POA ( | CORBA::Environment & )

| Returns the default POA for this servant.

void ServerObject_i::ping ( | CORBA::Environment & ) throw (CORBA::SystemException)

| Ping method.

void ServerObject_i::shutdown ( | CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)

| Shutdown the server.

## Member Data Documentation

CORBA::ORB_var ServerObject_i::orb_`[protected]`

| Our ORB. We need this member in case we need to shutdown the server.

PortableServer::POA_var ServerObject_i::poa_`[protected]`

| POA that we are registered with.

The documentation for this class was generated from the following files:

- ImplRepo_i.h
- ImplRepo_i.cpp